# Interface ReadIterator

All Superinterfaces:
  `Fragment, FragmentIterator, Read`

public interface ReadIterator extends Read

## Field Summary

### Fields inherited from interface Read

`aligned, all, fullyAligned, partiallyAligned, unaligned`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`nextRead()`
Advance to first Read on initial invocation advance to next Read subsequently

### Methods inherited from interface Fragment

`getFragmentBases, getFragmentBases, getFragmentBases, getFragmentId, getFragmentQualities, getFragmentQualities, getFragmentQualities, isAligned, isPaired`

### Methods inherited from interface FragmentIterator

`nextFragment`

### Methods inherited from interface Read

`fragmentIsAligned, getNumFragments, getReadBases, getReadBases, getReadBases, getReadCategory, getReadGroup, getReadId, getReadName, getReadQualities, getReadQualities, getReadQualities`

## Method Details

### nextRead

boolean nextRead() throws ErrorMsg
Advance to first Read on initial invocation advance to next Read subsequently

Returns:
  false if no more Reads are available.
Throws:
  `ErrorMsg` - if more Reads should be available, but could not be accessed.